net.sourceforge.pmd.lang.ast.xpath.saxon

## Class IdGenerator

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.xpath.saxon.IdGenerator

    public class IdGenerator
    extends Object

This class is used to generate unique IDs for nodes.

### Constructor Summary

Constructors
Constructor and Description
`IdGenerator()`

### Method Summary

Methods
`int` `getNextId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IdGenerator

    public IdGenerator()

### Method Detail

#### getNextId

    public int getNextId()